GNU bug report logs - #45840
28.0.50; [PATCH] Remove hardcoded underline for perl-mode variables

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Protesilaos Stavrou <info@HIDDEN>; Keywords: fixed patch; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 45840 <at> debbugs.gnu.org and Protesilaos Stavrou <info@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45840 <at> debbugs.gnu.org:


Received: (at 45840) by debbugs.gnu.org; 19 Jan 2021 07:12:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 02:12:10 2021
Received: from localhost ([127.0.0.1]:49246 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1lBR-0000ek-TT
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 02:12:10 -0500
Received: from quimby.gnus.org ([95.216.78.240]:55912)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l1lBP-0000eR-Kr
 for 45840 <at> debbugs.gnu.org; Tue, 19 Jan 2021 02:12:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Oi8tIAx4GGDsXrrRDg5XDoJ3wnpSKocg9VhgtkUJGY8=; b=UX0AaCthDloVC3vB6Vjyx09717
 d8Z6qY1N0X3pCyJtEaP+bqSccUD9RZO/ivWAFd6UnUdZR9MVFGgCvBS3Q68FHa3eM6eOjTq32KzwI
 it02X43VZxuk0JDtPn6yiBJ7TIrqtCNOiMaRtgNDrFFy/W3V9+ojsbjF1dtNQ/WLbH24=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l1lBH-0004oR-0J; Tue, 19 Jan 2021 08:12:01 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Protesilaos Stavrou <info@HIDDEN>
Subject: Re: bug#45840: 28.0.50; [PATCH] Remove hardcoded underline for
 perl-mode variables
References: <87sg757xw0.fsf@HIDDEN> <87o8hlmo7h.fsf@HIDDEN>
 <87a6t51k28.fsf@HIDDEN>
X-Now-Playing: Sam Amidon's _Bright Sunny South_: "Bright Sunny South"
Date: Tue, 19 Jan 2021 08:11:54 +0100
In-Reply-To: <87a6t51k28.fsf@HIDDEN> (Protesilaos Stavrou's message
 of "Tue, 19 Jan 2021 09:07:27 +0200")
Message-ID: <87wnw9l7t1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Protesilaos Stavrou <info@HIDDEN> writes: > Thank
 you, Lars! Please find attached the new patch. I also added a > NEWS entry.
 Feel free to edit it as you will. Thanks; applied to Emacs 28. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45840
Cc: 45840 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Protesilaos Stavrou <info@HIDDEN> writes:

> Thank you, Lars!  Please find attached the new patch.  I also added a
> NEWS entry.  Feel free to edit it as you will.

Thanks; applied to Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45840; Package emacs. Full text available.

Message received at 45840 <at> debbugs.gnu.org:


Received: (at 45840) by debbugs.gnu.org; 19 Jan 2021 07:07:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 02:07:42 2021
Received: from localhost ([127.0.0.1]:49242 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1l78-0000YP-8W
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 02:07:42 -0500
Received: from relay8-d.mail.gandi.net ([217.70.183.201]:43589)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <info@HIDDEN>) id 1l1l75-0000YA-Qn
 for 45840 <at> debbugs.gnu.org; Tue, 19 Jan 2021 02:07:40 -0500
X-Originating-IP: 94.46.225.161
Received: from kronos (unknown [94.46.225.161])
 (Authenticated sender: public@HIDDEN)
 by relay8-d.mail.gandi.net (Postfix) with ESMTPSA id 999111BF205;
 Tue, 19 Jan 2021 07:07:30 +0000 (UTC)
From: Protesilaos Stavrou <info@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#45840: 28.0.50; [PATCH] Remove hardcoded underline for
 perl-mode variables
References: <87sg757xw0.fsf@HIDDEN> <87o8hlmo7h.fsf@HIDDEN>
Date: Tue, 19 Jan 2021 09:07:27 +0200
In-Reply-To: <87o8hlmo7h.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 19 Jan 2021 07:32:18 +0100")
Message-ID: <87a6t51k28.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 45840
Cc: 45840 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

On 2021-01-19, 07:32 +0100, Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> Protesilaos Stavrou <info@HIDDEN> writes:
>
>> The attached patch merely assigns font-lock-variable-name-face while
>> removing the hardcoded underline property.
>>
>> If you think that the underline should remain in place, then I can
>> provide another patch that would add a new face which would inherit from
>> font-lock-variable-name-face and add an underline accordingly.
>
> The comment here mentions this:
>
>      ;; Additionally underline non-scalar variables.  Maybe this is a bad idea.
>      ;;'("[$@%*][#{]?\\(\\sw+\\)" 1 font-lock-variable-name-face)
>      ("[$*]{?\\(\\sw+\\(::\\sw+\\)*\\)" 1 font-lock-variable-name-face)
>      ("\\([@%]\\|\\$#\\)\\(\\sw+\\(::\\sw+\\)*\\)"
>       (2 (cons font-lock-variable-name-face '(underline))))
>
> And it is a bad idea to hard-code this, but having different faces here
> makes sense, I think.  So could you whip up another patch to add the new
> face, as you suggested?

Thank you, Lars!  Please find attached the new patch.  I also added a
NEWS entry.  Feel free to edit it as you will.

-- 
Protesilaos Stavrou
protesilaos.com

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Add-perl-non-scalar-variable-face-to-perl-mode.patch

From 161ba7a2a406122c95ab0bb41d1b1bc9bde2d565 Mon Sep 17 00:00:00 2001
From: Protesilaos Stavrou <info@HIDDEN>
Date: Tue, 19 Jan 2021 09:04:17 +0200
Subject: [PATCH] Add 'perl-non-scalar-variable' face to perl-mode

* lisp/progmodes/perl-mode.el (perl-non-scalar-variable): Define new
face.
(perl-font-lock-keywords-2): Apply 'perl-non-scalar-variable' face.

* etc/NEWS: Document the new face.
---
 etc/NEWS                    |  6 ++++++
 lisp/progmodes/perl-mode.el | 11 +++++++++--
 2 files changed, 15 insertions(+), 2 deletions(-)

diff --git a/etc/NEWS b/etc/NEWS
index d632283e7f..8fc5f3e046 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -352,6 +352,12 @@ When emacsclient connects, Emacs will (by default) output a message
 about how to exit the client frame.  If 'server-client-instructions'
 is set to nil, this message is inhibited.
 
+** Perl mode
+
+---
+*** New face 'perl-non-scalar-variable'.
+This is used to fontify non-scalar variables.
+
 ** Python mode
 
 *** 'python-shell-interpreter' now defaults to python3 on systems with python3.
diff --git a/lisp/progmodes/perl-mode.el b/lisp/progmodes/perl-mode.el
index 2a2a4978c6..d047dd543c 100644
--- a/lisp/progmodes/perl-mode.el
+++ b/lisp/progmodes/perl-mode.el
@@ -95,6 +95,12 @@ perl
   :prefix "perl-"
   :group 'languages)
 
+(defface perl-non-scalar-variable
+  '((t :inherit font-lock-variable-name-face :underline t))
+  "Face used for non-scalar variables."
+  :version "28.1"
+  :group 'perl)
+
 (defvar perl-mode-abbrev-table nil
   "Abbrev table in use in perl-mode buffers.")
 (define-abbrev-table 'perl-mode-abbrev-table ())
@@ -187,11 +193,12 @@ perl-font-lock-keywords-2
      ;;
      ;; Fontify function, variable and file name references.
      ("&\\(\\sw+\\(::\\sw+\\)*\\)" 1 font-lock-function-name-face)
-     ;; Additionally underline non-scalar variables.  Maybe this is a bad idea.
+     ;; Additionally fontify non-scalar variables.  `perl-non-scalar-variable'
+     ;; will underline them by default.
      ;;'("[$@%*][#{]?\\(\\sw+\\)" 1 font-lock-variable-name-face)
      ("[$*]{?\\(\\sw+\\(::\\sw+\\)*\\)" 1 font-lock-variable-name-face)
      ("\\([@%]\\|\\$#\\)\\(\\sw+\\(::\\sw+\\)*\\)"
-      (2 (cons font-lock-variable-name-face '(underline))))
+      (2 'perl-non-scalar-variable))
      ("<\\(\\sw+\\)>" 1 font-lock-constant-face)
      ;;
      ;; Fontify keywords with/and labels as we do in `c++-font-lock-keywords'.
-- 
2.30.0


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45840; Package emacs. Full text available.

Message received at 45840 <at> debbugs.gnu.org:


Received: (at 45840) by debbugs.gnu.org; 19 Jan 2021 06:32:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 19 01:32:29 2021
Received: from localhost ([127.0.0.1]:49206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1kZ3-0005xh-Go
	for submit <at> debbugs.gnu.org; Tue, 19 Jan 2021 01:32:29 -0500
Received: from quimby.gnus.org ([95.216.78.240]:55384)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l1kZ1-0005sg-Rc
 for 45840 <at> debbugs.gnu.org; Tue, 19 Jan 2021 01:32:28 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=E88FdXhunLeCEJgxzwNuP4ofpn0xnC59dk8YECXT6BM=; b=TActAK3fQWVIs94xn6wlnNf1ZT
 abK9f5SfKCE8asPuXo3shsxY9tOX0Y5PGpyFbCteiO/cF65yURgAxviSjeUWgOl25Wj6eJTZ5JSbV
 MbTsh0VC0fZad7TUJ5+TvaFnuBDocaB2f9uZYZOrZbuM9ufgM/C+y4hagFKgOidQC65Y=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l1kYt-0004Rz-No; Tue, 19 Jan 2021 07:32:22 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Protesilaos Stavrou <info@HIDDEN>
Subject: Re: bug#45840: 28.0.50; [PATCH] Remove hardcoded underline for
 perl-mode variables
References: <87sg757xw0.fsf@HIDDEN>
X-Now-Playing: Rianbow Brown's _For Discos Only (2)_: "Till you surrender
 (Special Remix)"
Date: Tue, 19 Jan 2021 07:32:18 +0100
In-Reply-To: <87sg757xw0.fsf@HIDDEN> (Protesilaos Stavrou's message
 of "Wed, 13 Jan 2021 15:46:23 +0200")
Message-ID: <87o8hlmo7h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Protesilaos Stavrou <info@HIDDEN> writes: > The
 attached
 patch merely assigns font-lock-variable-name-face while > removing the
 hardcoded
 underline property. > > If you think that the underline should remain in
 place, then I can > provide ano [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45840
Cc: 45840 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Protesilaos Stavrou <info@HIDDEN> writes:

> The attached patch merely assigns font-lock-variable-name-face while
> removing the hardcoded underline property.
>
> If you think that the underline should remain in place, then I can
> provide another patch that would add a new face which would inherit from
> font-lock-variable-name-face and add an underline accordingly.

The comment here mentions this:

     ;; Additionally underline non-scalar variables.  Maybe this is a bad idea.
     ;;'("[$@%*][#{]?\\(\\sw+\\)" 1 font-lock-variable-name-face)
     ("[$*]{?\\(\\sw+\\(::\\sw+\\)*\\)" 1 font-lock-variable-name-face)
     ("\\([@%]\\|\\$#\\)\\(\\sw+\\(::\\sw+\\)*\\)"
      (2 (cons font-lock-variable-name-face '(underline))))

And it is a bad idea to hard-code this, but having different faces here
makes sense, I think.  So could you whip up another patch to add the new
face, as you suggested?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45840; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jan 2021 13:46:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 08:46:35 2021
Received: from localhost ([127.0.0.1]:34687 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzgTr-0001Nd-0p
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 08:46:35 -0500
Received: from lists.gnu.org ([209.51.188.17]:41406)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <info@HIDDEN>) id 1kzgTp-0001NV-Ns
 for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 08:46:34 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:43768)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <info@HIDDEN>)
 id 1kzgTp-0003Kw-DN
 for bug-gnu-emacs@HIDDEN; Wed, 13 Jan 2021 08:46:33 -0500
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:41929)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <info@HIDDEN>)
 id 1kzgTn-0003G3-8U
 for bug-gnu-emacs@HIDDEN; Wed, 13 Jan 2021 08:46:33 -0500
X-Originating-IP: 94.46.225.161
Received: from kronos (unknown [94.46.225.161])
 (Authenticated sender: public@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 501ACE0009
 for <bug-gnu-emacs@HIDDEN>; Wed, 13 Jan 2021 13:46:26 +0000 (UTC)
From: Protesilaos Stavrou <info@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; [PATCH] Remove hardcoded underline for perl-mode variables
Date: Wed, 13 Jan 2021 15:46:23 +0200
Message-ID: <87sg757xw0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: none client-ip=217.70.183.196; envelope-from=info@HIDDEN;
 helo=relay4-d.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

Dear maintainers,

I have noticed that perl-mode modifies in a non-standard way the
font-lock-variable-name-face.  This makes it impossible to get perl
buffers to look like other programming modes, in accordance with user or
theme configurations.

The attached patch merely assigns font-lock-variable-name-face while
removing the hardcoded underline property.

If you think that the underline should remain in place, then I can
provide another patch that would add a new face which would inherit from
font-lock-variable-name-face and add an underline accordingly.

All the best,
Protesilaos

-- 
Protesilaos Stavrou
protesilaos.com

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Remove-hardcoded-underline-for-perl-mode-variables.patch

From 69c6c946f24520edf34ea474290054c3ceb0cc0a Mon Sep 17 00:00:00 2001
From: Protesilaos Stavrou <info@HIDDEN>
Date: Wed, 13 Jan 2021 14:53:18 +0200
Subject: [PATCH] Remove hardcoded underline for perl-mode variables

* lisp/progmodes/perl-mode.el (perl-font-lock-keywords-2): Just assign
'font-lock-variable-name-face' without editing it further.

This respects user or theme configurations with regard to font-lock
faces.
---
 lisp/progmodes/perl-mode.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/progmodes/perl-mode.el b/lisp/progmodes/perl-mode.el
index fd8a51b5a5..15b6cb0c7e 100644
--- a/lisp/progmodes/perl-mode.el
+++ b/lisp/progmodes/perl-mode.el
@@ -191,7 +191,7 @@ perl-font-lock-keywords-2
      ;;'("[$@%*][#{]?\\(\\sw+\\)" 1 font-lock-variable-name-face)
      ("[$*]{?\\(\\sw+\\(::\\sw+\\)*\\)" 1 font-lock-variable-name-face)
      ("\\([@%]\\|\\$#\\)\\(\\sw+\\(::\\sw+\\)*\\)"
-      (2 (cons font-lock-variable-name-face '(underline))))
+      (2 font-lock-variable-name-face))
      ("<\\(\\sw+\\)>" 1 font-lock-constant-face)
      ;;
      ;; Fontify keywords with/and labels as we do in `c++-font-lock-keywords'.
-- 
2.30.0


--=-=-=--




Acknowledgement sent to Protesilaos Stavrou <info@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45840; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 19 Jan 2021 07:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.